Bug 173593 - audio/firefly fails to compile on systems where /usr/bin/cc is clang
Summary: audio/firefly fails to compile on systems where /usr/bin/cc is clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-13 05:30 UTC by Kimmo Paasiala
Modified: 2012-11-28 03:04 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kimmo Paasiala 2012-11-13 05:30:00 UTC
audio/firefly fails to compile if /usr/bin/cc is clang, apparently because of some inline assembly that doesn't work on clang yet.

Fix: 

Add USE_GCC=any to the Makefile of audio/firefly.
Comment 1 Edwin Groothuis freebsd_committer 2012-11-13 05:30:29 UTC
Maintainer of audio/firefly,

Please note that PR ports/173593 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173593

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-11-13 05:30:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 mark 2012-11-21 22:10:00 UTC
Approved
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-11-22 00:11:50 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2012-11-28 03:02:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2012-11-28 03:04:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!